% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/DMRfinder.R
\name{DMRfinder}
\alias{DMRfinder}
\title{DMR finder}
\usage{
DMRfinder(data, chromosome = c(1:22, "X", "Y"), mismatches = 3,
  icd = 1000, illumina = TRUE)
}
\arguments{
\item{mismatches}{Number of non-significant DMPs allowed (default: 3)}

\item{icd}{Inter-CpG distance (default: 1000bp)}

\item{regions}{GRanges-class object, named vector, matrix, or data.frame}
}
\value{
GRanges-class object containing DMRs
}
\description{
DMR finder
}
\details{
Algorithm to identify differentially methylated regions (DMRs)
from a list of differentially methylated probes (DMPs). This was
developed by Roderick Slieker and is described in "Identification 
and systematic annotation of tissue-specific differentially methylated 
regions using the Illumina 450k array" Slieker et al. (2013)
}
\examples{
dmrData <- data.frame(dmp = attr(padj.cate, "names"), crit = ifelse(padj.cate<0.05, 1, 0))
DMRs <- DMRfinder(dmrData, mismatches=3, icd=1000)
}
\author{
R Sliecker, E.W Lameijer, and M. van Iterson
}
